/**
 *
 */
package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IPageLayout;

import eu.etaxonomy.taxeditor.navigation.AppModelId;

/**
 * @author n.hoffmann
 *
 */
public class PolytomousKey extends Default {

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	@Override
	public void createInitialLayout(IPageLayout layout) {
		layout.addView(AppModelId.PARTDESCRIPTOR_EU_ETAXONOMY_TAXEDITOR_NAVIGATION_KEY_POLYTOMOUS_E4_POLYTOMOUSKEYVIEWPARTE4, IPageLayout.LEFT, 0.25f, layout.getEditorArea());

		layout.addView(DETAILS_VIEW, IPageLayout.RIGHT, 0.6f, layout.getEditorArea());

		layout.addView(SUPPLEMENTAL_VIEW, IPageLayout.BOTTOM, 0.6f, DETAILS_VIEW);

		createAdditionalFolder(layout, layout.getEditorArea());
	}

}
